<style>
  table.table td {
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
  }
  .labelText{margin:10px 0;display:block;}
  .title4{margin:15px 0;position:absolute;top:-50px;padding:0 15px;background-color:#fff}
  .box{border:1px solid rgba(76, 76, 76, 0.21);margin:45px 15px 15px;padding:20px 0px;position:relative;border-radius:5px;width:100%}
  .MLR{margin:0 1px}

  .modal-body{
    max-height: calc(100vh - 200px);
    overflow-y: auto;
  }

  .paginationlist {
    display: inline-block !important;
  }

  .paginationlist li  a {
    color: red !important;
    float: left !important;
    text-decoration: none !important;
  }


</style>
<br>
<div style="margin-top: 15px ">
  <app-on-demand-company-contract></app-on-demand-company-contract>

</div>

<div class="container">
  <div class="card">
    <div class="card-body">
     On Demand is based on Rate per kms
    </div>
  </div>


  <div class="row" style="margin-top: 5px ">
    <div class="col-sm-3" >
      <button type="button" class="btn btn-primary" data-toggle="modal"
              data-target="#add" (click)="getIncialConfig()">Add Transaction
      </button>
    </div>
    <div class="col-sm-3" >
      <button type="button" class="btn btn-primary" data-toggle="modal"
              data-target="#addBulk" >Bulk Upload
      </button>

    </div>
    <div class="col-sm-3" >
      <button  type="button" class="btn btn-primary" (click)="exportAsXLSX()">DownLoad Sample Template</button>
    </div>
  </div>


  <div class="row">
    <table class="table table-bordered">
      <thead>
      <tr>
        <th>Date</th>
        <th>Vehicle Number</th>
        <th>TSno</th>
        <th>Vehicle Type</th>
        <th>Company Name</th>
        <th>Total Days Per Hour</th>
        <th>Total Kms</th>
        <th>Extra Hrs</th>
        <th>Extra Kms</th>
        <th>Rate /Hr</th>
        <th>Rate /Km</th>
        <th>Slab Rate</th>
        <th>Extra Hr Amt</th>
        <th>Extra Km Amt</th>
        <th>Trip Amt</th>
        <th>DELETE</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let CCDetails of resultList">
        <td>{{CCDetails.date}}</td>
        <td>{{CCDetails.vehicleNumber}}</td>
        <td>{{CCDetails.tsno}}</td>
        <td >{{CCDetails.vehicleType}}</td>
        <td>{{CCDetails.companyTransactionSelected}}</td>
        <td >{{CCDetails.totalDaysPerHour}}</td>
        <td >{{CCDetails.totalKms}}</td>
        <td >{{CCDetails.extraHrs}}</td>
        <td >{{CCDetails.extraKms}}</td>
        <td >{{CCDetails.ratePerHr}}</td>
        <td >{{CCDetails.ratePerKm}}</td>
        <td >{{CCDetails.slabRate}}</td>
        <td >{{CCDetails.extraHrAmt}}</td>
        <td >{{CCDetails.extraKmAmt}}</td>
        <td>{{CCDetails.tripAmt}}</td>
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#deleteModal"
                 (click)="intermerdiateDeleteTranasaction(CCDetails)">Delete
          </button>
        </td>

      </tr>
      </tbody>
    </table>
  </div>

  <div>
   <!-- <div class="text-center">
      &lt;!&ndash; items being paged &ndash;&gt;
      <div *ngFor="let item of pagedItems">{{item.name}}</div>
      &lt;!&ndash; pager &ndash;&gt;
      <ul *ngIf="pager.pages && pager.pages.length" class="paginationlist" >
        <li [ngClass]="{disabled:pager.currentPage === 1}">
          <a (click)="setPage(1)">First</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === 1}">
          <a (click)="setPage(pager.currentPage - 1)">Previous</a>
        </li>
        <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
          <a (click)="setPage(page)">{{page}}</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
          <a (click)="setPage(pager.currentPage + 1)">Next</a>
        </li>
        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
          <a (click)="setPage(pager.totalPages)">Last</a>
        </li>
      </ul>
    </div>-->
  </div>

</div>


<!-- Modal -->
<div id="addBulk" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Upload Bulk</h4>
      </div>
      <div class="modal-body">

      <!--  <div class="row">
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction Start Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionStartDate">
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction End Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionEndDate">
          </div>
        </div>
        <br>
        <br>-->
        <div class="row">
          <div class="col-sm-6">
            <form>
              <input type="file" name="fileToUpload" id="fileToUpload" [(ngModel)]="cc1ExcelDetails"
                     (change)="uploadCc1ExcelDetails($event)" >
            </form>
          </div>

      </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="saveCC1DetaisToDB()">submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


<!-- Modal -->
<div id="add" class="modal fade right" role="dialog">
  <div class="modal-dialog modal-lg     form-modal">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add Transaction</h4>

      </div>
     <!-- <div class="card">
        <div class="card-body">
          <div style="color: red"> *Total KMs greater then 8 is extra kms</div>
          <div style="color: red"> *Total hours greater then 80 is extra hours</div>
          <div style="color: red"> *Total Days Per Hour less then 6 is "SLAB RATE" is 900</div>
          <div style="color: red"> *Total Days Per Hour greater then 6 is "SLAB RATE" is 1800</div>
        </div>
      </div>-->
      <div class="modal-body">

        <div class="row">
          <div class="col-sm-6" style="float: left">
            <label class="text-capitalize">Select Vehicle<span style="color:red">*</span></label>
            <ng-multiselect-dropdown
                    [placeholder]="'Select Vehicle'"
                    [data]="vechicleDropdownList"
                    [(ngModel)]="selectedVehicleItems"
                    [settings]="vechicledropdownSettings"
                    (onSelect)="onvehicleSelect($event)"
                    (onSelectAll)="onSelectAll($event)"
                    (onDeSelect)="onItemDeSelect($event)">
            </ng-multiselect-dropdown>
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Select Company<span style="color:red">*</span></label>

            <ng-multiselect-dropdown
                    [placeholder]="'Select Company'"
                    [data]="companyAssetDropDown"
                    [(ngModel)]="companySelected"
                    [settings]="companyDropdownSettings"
                    (onSelect)="onCompanySelect($event)"
            >
            </ng-multiselect-dropdown>
          </div>

        </div>
        <br>
        <br>

        <div class="row">
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction Start Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionStartDate">
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Transaction End Date<span style="color:red">*</span></label>
            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                   [(ngModel)]="bulkUpload.transactionEndDate">
          </div>
        </div>
        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Transaction Entry</h3>
            </div>
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div *ngIf="field.configurationType!=='configuration'" >
                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType!=='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration'">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>

                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration'">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>



                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]">
                      </div>



                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Configuration Entry</h3>
            </div>
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div *ngIf="field.configurationType==='configuration'" >
                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number' && field.configurationType!=='configuration'  ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration'">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>

                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration'">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>



                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]">
                      </div>



                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal"   (click)="submitTransaction()" >Submit</button>
          <button type="button" class="btn  btn-warning" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>

<!-- The Modal -->
<div class="modal" id="deleteModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Delete Conformation</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        Are you sure u want to delete Transaction
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deleteCC1Trasnaction(deleteTransactionData)">Delete</button>
        <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>